<div class="row architecture-container" id="architecture">
  <div class="container">
    <h2 class="text-center">The Oniro Architecture at a High Level</h2>
    <div class="row">
      <img class="img-responsive margin-y-40 col-sm-16 col-sm-offset-4" src="images/architecture/oniro-architecture.jpg?v=2">
    </div>
    <p>
      The Eclipse Oniro architecture builds on the solid foundations of
      OpenHarmony, enhancing and expanding its capabilities. All system
      enhancements are rigorously managed by an <strong>advanced IP toolchain</strong> 
      to ensure compliance throughout the development process. Within this
      framework:
    </p>
    <ul>
      <li>
        <strong>React Native</strong> extends the usability of existing
        applications and ecosystems on top of OpenHarmony, enabling seamless
        integration across platforms.
      </li>
      <li>
        <strong>Eclipse Kanto</strong> expands Oniro's ecosystem adaptability
        and scalability by empowering edge devices with advanced IoT
        functionalities, including seamless cloud connectivity and flexible
        device management.
      </li>
      <li>
        The incorporation of the <strong>Rust language</strong>, particularly
        for the <strong>Servo web engine</strong>, bolsters the overall
        system's safety and security.
      </li>
      <li>
        <strong>Eclipse Theia</strong> enhances the development workflow,
        simplifying application creation within the ecosystem.
      </li>
      <li>
        <strong>libvsync</strong> improves the performance and reliability of
        applications that require precise coordination across multiple
        processes.
      </li>
    </ul>
    <p>
      Future enhancements will include the integration of
      <strong>NearLink</strong>, offering an alternative to Wi-Fi and Bluetooth
      with lower latency and improved connectivity, particularly suited for
      automotive and industrial environments.
    </p>
  </div>
</div>
